{{ header }}
<div class="container isl-promotions islpr-page islpr-promo-item islpr-promo-{{ promo['promotion_id'] }} th-isl-{{ theme }} {{ theme == 'journal2' ? 'j-container' : '' }}" {{ theme == 'journal2' ? 'id="container"' : '' }}>
  <ul class="breadcrumb">
    {% for breadcrumb in breadcrumbs %}
      <li><a href="{{ breadcrumb['href'] }}">{{ breadcrumb['text'] }}</a></li>
    {% endfor %}
  </ul>

  <div class="row">
    {{ column_left }}

    {% if expression %}
      {% set class = 'col-sm-6' %}
    {% elseif expression %}
      {% set class = 'col-sm-9' %}
    {% else %}
      {% set class = 'col-sm-12' %}
    {% endif %}

    <div id="content" class="{{ class }}">
      {{ content_top }}

      <h1 class="{{ theme == 'journal2' ? 'heading-title' : '' }}">{{ heading_title }}</h1>

      {% if promo['design_page_banner'] %}
        <img class="islpr-page-banner img-responsive" src="image/{{ promo['design_page_banner'] }}" alt="{{ heading_title }}">
      {% endif %}

      <div class="islpr-page-message">
        {{ promo['design_page_message'] }}
      </div>

{% if custom_css is not empty %}
<style>
  {{ custom_css }}
</style>
{% endif %}
<script>
$(document).ready(function()
{
  // On add Cart
  $('body').on('click', '[data-islpr-add-cart]', function() {
    var product_id = $(this).data('islpr-add-cart');

    if (product_id) {
      {% if theme == 'journal2' %}
        addToCart(product_id);
      {% else %}
        cart.add(product_id);
      {% endif %}
    }
  });

  // On add Wishlist
  $('body').on('click', '[data-islpr-add-wishlist]', function() {
    var product_id = $(this).data('islpr-add-wishlist');

    if (product_id) {
      {% if theme == 'journal2' %}
        addToWishList(product_id);
      {% else %}
        wishlist.add(product_id);
      {% endif %}
    }
  });

  // On add Compare
  $('body').on('click', '[data-islpr-add-compare]', function() {
    var product_id = $(this).data('islpr-add-compare');

    if (product_id) {
      {% if theme == 'journal2' %}
        addToCompare(product_id);
      {% else %}
        compare.add(product_id);
      {% endif %}
    }
  });
});
</script>

      {{ content_bottom }}
    </div>

    {{ column_right }}</div>
</div>
{{ footer }}
